Bug 310097 - Crash in CPP Parser while startup of project
Summary: Crash in CPP Parser while startup of project
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Language Support: CPP (old) (show other bugs)
Version: git master
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 4.3.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-14 15:28 UTC by André Stein
Modified: 2013-03-31 00:55 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description André Stein 2012-11-14 15:28:02 UTC
Application: kdevelop (4.4.60)
KDE Platform Version: 4.9.3
Qt Version: 4.8.3
Operating System: Linux 3.5.0-18-generic x86_64
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:
I just opened Kdevelop with some files being open from the last session. After some seconds Kdevelop crashed.

The crash does not seem to be reproducible.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
[Current thread is 1 (Thread 0x7fcc63f7b780 (LWP 5960))]

Thread 17 (Thread 0x7fcc4bf45700 (LWP 5969)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fc16 in QEventDispatcherGlib::processEvents (this=0x7fcc440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc4bf44e00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc4bf44e00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc74754aec in QThreadPrivate::start (arg=0x3f3ef30) at thread/qthread_unix.cpp:338
#8  0x00007fcc72550e9a in start_thread (arg=0x7fcc4bf45700) at pthread_create.c:308
#9  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fcc4ac8d700 (LWP 5970)):
#0  0x00007fcc73457023 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fcc7482ffe2 in QProcessManager::run (this=0x7fcc74ba9520 <processManager()::processManager>) at io/qprocess_unix.cpp:245
#2  0x00007fcc74754aec in QThreadPrivate::start (arg=0x7fcc74ba9520 <processManager()::processManager>) at thread/qthread_unix.cpp:338
#3  0x00007fcc72550e9a in start_thread (arg=0x7fcc4ac8d700) at pthread_create.c:308
#4  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fcc422ae700 (LWP 5972)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fc16 in QEventDispatcherGlib::processEvents (this=0x7fcc380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc422addd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc422addd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc748309af in QInotifyFileSystemWatcherEngine::run (this=0x4219b70) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fcc74754aec in QThreadPrivate::start (arg=0x4219b70) at thread/qthread_unix.cpp:338
#9  0x00007fcc72550e9a in start_thread (arg=0x7fcc422ae700) at pthread_create.c:308
#10 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fcc4104b700 (LWP 5973)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fc16 in QEventDispatcherGlib::processEvents (this=0x7fcc300008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc4104ae00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc4104ae00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc74754aec in QThreadPrivate::start (arg=0x409e2d0) at thread/qthread_unix.cpp:338
#8  0x00007fcc72550e9a in start_thread (arg=0x7fcc4104b700) at pthread_create.c:308
#9  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fcc4084a700 (LWP 5974)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fc16 in QEventDispatcherGlib::processEvents (this=0x7fcc340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc40849e00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc40849e00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc74754aec in QThreadPrivate::start (arg=0x425a070) at thread/qthread_unix.cpp:338
#8  0x00007fcc72550e9a in start_thread (arg=0x7fcc4084a700) at pthread_create.c:308
#9  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fcc2ffff700 (LWP 5979)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc6f994cd7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7fcc6fca2660 <QTWTF::pageheap_memory>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007fcc6f994d09 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007fcc72550e9a in start_thread (arg=0x7fcc2ffff700) at pthread_create.c:308
#4  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fcc2f232700 (LWP 5991)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fc16 in QEventDispatcherGlib::processEvents (this=0x7fcc280008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc2f231dd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc2f231dd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc748309af in QInotifyFileSystemWatcherEngine::run (this=0x567c5b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fcc74754aec in QThreadPrivate::start (arg=0x567c5b0) at thread/qthread_unix.cpp:338
#9  0x00007fcc72550e9a in start_thread (arg=0x7fcc2f232700) at pthread_create.c:308
#10 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fcc277fe700 (LWP 6066)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc6a468b2d in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007fcc6a468c39 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007fcc72550e9a in start_thread (arg=0x7fcc277fe700) at pthread_create.c:308
#4  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fcc27fff700 (LWP 6067)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fc16 in QEventDispatcherGlib::processEvents (this=0x7fcc14067640, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc27ffee00, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc27ffee00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc74754aec in QThreadPrivate::start (arg=0x4e05060) at thread/qthread_unix.cpp:338
#8  0x00007fcc72550e9a in start_thread (arg=0x7fcc27fff700) at pthread_create.c:308
#9  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fcc2cade700 (LWP 6089)):
#0  0x00007fcc73452303 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fcc6d7d4d84 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fcc7487fbf6 in QEventDispatcherGlib::processEvents (this=0x7fcc1c001280, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fcc2cadddd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fcc74850548 in QEventLoop::exec (this=0x7fcc2cadddd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fcc74751b10 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007fcc748309af in QInotifyFileSystemWatcherEngine::run (this=0x5d4f640) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007fcc74754aec in QThreadPrivate::start (arg=0x5d4f640) at thread/qthread_unix.cpp:338
#9  0x00007fcc72550e9a in start_thread (arg=0x7fcc2cade700) at pthread_create.c:308
#10 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fcc25d71700 (LWP 6249)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc7475504b in wait (time=18446744073709551615, this=0x680d9f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x680e140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fcc6b0b50e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x680dee0, th=0x680e570) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcc6b0b792b in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x680e570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcc6b0b7944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x680e570) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcc6b0b679f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fcc25d70e00, parent=0x680dee0, th=th@entry=0x680e570) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007fcc6b0b682b in ThreadWeaver::Thread::run (this=0x680e570) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007fcc74754aec in QThreadPrivate::start (arg=0x680e570) at thread/qthread_unix.cpp:338
#9  0x00007fcc72550e9a in start_thread (arg=0x7fcc25d71700) at pthread_create.c:308
#10 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fcc2553c700 (LWP 6250)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc7475504b in wait (time=18446744073709551615, this=0x680d9f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x680e140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fcc6b0b50e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x680dee0, th=0x62fd850) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcc6b0b792b in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x62fd850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcc6b0b7944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x62fd850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcc6b0b7944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x62fd850) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fcc6b0b679f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fcc2553be00, parent=0x680dee0, th=th@entry=0x62fd850) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007fcc6b0b682b in ThreadWeaver::Thread::run (this=0x62fd850) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007fcc74754aec in QThreadPrivate::start (arg=0x62fd850) at thread/qthread_unix.cpp:338
#10 0x00007fcc72550e9a in start_thread (arg=0x7fcc2553c700) at pthread_create.c:308
#11 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fcbd37fd700 (LWP 6258)):
#0  0x00007fcc7342983d in nanosleep () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007fcc73457774 in usleep (useconds=<optimized out>) at ../sysdeps/unix/sysv/linux/usleep.c:33
#2  0x00007fcc7066ad62 in KDevelop::DUChainLock::lockForWrite (this=0x34ef308, timeout=0) at /home/stone/build/kdevplatform/language/duchain/duchainlock.cpp:201
#3  0x00007fcc7066aef4 in KDevelop::DUChainWriteLocker::lock (this=0x7fcbd37f3420) at /home/stone/build/kdevplatform/language/duchain/duchainlock.cpp:299
#4  0x00007fcc41317d08 in DeclarationBuilder::applyFunctionSpecifiers (this=this@entry=0x7fcbd37f4ab0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:1673
#5  0x00007fcc4131af87 in DeclarationBuilder::visitDeclarator (this=0x7fcbd37f4ab0, node=0x7fcbb5687608) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:464
#6  0x00007fcc41317c3b in DeclarationBuilder::visitFunctionDeclaration (this=0x7fcbd37f4ab0, node=0x7fcbb5688750) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:181
#7  0x00007fcc41308973 in ContextBuilder::visitFunctionDefinition (this=0x7fcbd37f4ab0, node=0x7fcbb5688750) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:576
#8  0x00007fcc41307c2e in ContextBuilder::visitTemplateDeclaration (this=0x7fcbd37f4ab0, ast=0x7fcbb56887b0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:292
#9  0x00007fcc410637b1 in visitNodes<DeclarationAST*> (v=0x7fcbd37f4b10, nodes=0x0) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#10 0x00007fcc4130702e in ContextBuilder::visitClassSpecifier (this=0x7fcbd37f4ab0, node=0x7fcbb56738f0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:534
#11 0x00007fcc4133b98e in visitClassSpecifier (node=0x7fcbb56738f0, this=0x7fcbd37f4ab0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:91
#12 TypeBuilder::visitClassSpecifier (this=0x7fcbd37f4ab0, node=0x7fcbb56738f0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:76
#13 0x00007fcc41318908 in DeclarationBuilder::visitClassSpecifier (this=0x7fcbd37f4ab0, node=0x7fcbb56738f0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:1166
#14 0x00007fcc4133a3df in TypeBuilder::visitSimpleDeclaration (this=0x7fcbd37f4ab0, node=0x7fcbb58bb410) at /home/stone/build/kdevelop/languages/cpp/cppduchain/typebuilder.cpp:642
#15 0x00007fcc41317b2f in DeclarationBuilder::visitSimpleDeclaration (this=0x7fcbd37f4ab0, node=0x7fcbb58bb410) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:422
#16 0x00007fcc41307c2e in ContextBuilder::visitTemplateDeclaration (this=0x7fcbd37f4ab0, ast=0x7fcbb58bb458) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:292
#17 0x00007fcc410637b1 in visitNodes<DeclarationAST*> (v=0x7fcbd37f4b10, nodes=0x0) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#18 0x00007fcc41305c95 in ContextBuilder::visitNamespace (this=0x7fcbd37f4ab0, node=0x7fcbb5670c70) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:472
#19 0x00007fcc4131967b in DeclarationBuilder::visitNamespace (this=0x7fcbd37f4ab0, ast=0x7fcbb5670c70) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:1128
#20 0x00007fcc410637b1 in visitNodes<DeclarationAST*> (v=0x7fcbd37f4b10, nodes=0x0) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#21 0x00007fcc41305c95 in ContextBuilder::visitNamespace (this=0x7fcbd37f4ab0, node=0x7fcbb5670c18) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:472
#22 0x00007fcc4131967b in DeclarationBuilder::visitNamespace (this=0x7fcbd37f4ab0, ast=0x7fcbb5670c18) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:1128
#23 0x00007fcc410637b1 in visitNodes<DeclarationAST*> (v=0x7fcbd37f4b10, nodes=0x0) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#24 0x00007fcc4130ad51 in KDevelop::AbstractContextBuilder<AST, NameAST>::supportBuild (this=0x7fcbd37f4ab0, node=0x7fcbb5670bd0, context=<optimized out>) at /usr/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:133
#25 0x00007fcc413093fe in ContextBuilder::buildContexts (this=0x7fcbd37f4ab0, file=..., node=0x7fcbb5670bd0, includes=<optimized out>, updateContext=..., removeOldImports=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:421
#26 0x00007fcc41314632 in DeclarationBuilder::buildDeclarations (this=<optimized out>, file=..., node=<optimized out>, includes=<optimized out>, updateContext=..., removeOldImports=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/declarationbuilder.cpp:96
#27 0x00007fcc41831dcc in CPPInternalParseJob::run (this=0x7fcbb562ce70) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:644
#28 0x00007fcc41837cc3 in PreprocessJob::sourceNeeded (this=0x7fcbb562c410, _fileName=..., type=<optimized out>, sourceLine=33, skipCurrentPath=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:581
#29 0x00007fcc415efbac in rpp::pp::handle_include (this=this@entry=0x7fcbd37f5580, skip_current_path=<optimized out>, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:219
#30 0x00007fcc415f18c7 in rpp::pp::handle_directive (this=this@entry=0x7fcbd37f5580, directive=directive@entry=432040, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:137
#31 0x00007fcc415f1f50 in rpp::pp::operator() (this=this@entry=0x7fcbd37f5580, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:272
#32 0x00007fcc415f2185 in rpp::pp::processFileInternal (this=0x7fcbd37f5580, fileName=..., fileContents=..., result=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#33 0x00007fcc415f2226 in rpp::pp::processFile (this=<optimized out>, fileName=..., data=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#34 0x00007fcc4183920e in PreprocessJob::run (this=0x7fcbb562c410) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:245
#35 0x00007fcc4182f39e in CPPParseJob::parseForeground (this=0x7fcbb55a3e50) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:181
#36 0x00007fcc41837cc3 in PreprocessJob::sourceNeeded (this=0x7fcbb55122a0, _fileName=..., type=<optimized out>, sourceLine=60, skipCurrentPath=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:581
#37 0x00007fcc415efbac in rpp::pp::handle_include (this=this@entry=0x7fcbd37f6f40, skip_current_path=<optimized out>, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:219
#38 0x00007fcc415f18c7 in rpp::pp::handle_directive (this=this@entry=0x7fcbd37f6f40, directive=directive@entry=432040, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:137
#39 0x00007fcc415f1f50 in rpp::pp::operator() (this=this@entry=0x7fcbd37f6f40, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:272
#40 0x00007fcc415f2185 in rpp::pp::processFileInternal (this=0x7fcbd37f6f40, fileName=..., fileContents=..., result=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#41 0x00007fcc415f2226 in rpp::pp::processFile (this=<optimized out>, fileName=..., data=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#42 0x00007fcc4183920e in PreprocessJob::run (this=0x7fcbb55122a0) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:245
#43 0x00007fcc4182f39e in CPPParseJob::parseForeground (this=0x7fcbb5513130) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:181
#44 0x00007fcc41837cc3 in PreprocessJob::sourceNeeded (this=0x7fcbb5564ca0, _fileName=..., type=<optimized out>, sourceLine=12, skipCurrentPath=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:581
#45 0x00007fcc415efbac in rpp::pp::handle_include (this=this@entry=0x7fcbd37f8900, skip_current_path=<optimized out>, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:219
#46 0x00007fcc415f18c7 in rpp::pp::handle_directive (this=this@entry=0x7fcbd37f8900, directive=directive@entry=432040, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:137
#47 0x00007fcc415f1f50 in rpp::pp::operator() (this=this@entry=0x7fcbd37f8900, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:272
#48 0x00007fcc415f2185 in rpp::pp::processFileInternal (this=0x7fcbd37f8900, fileName=..., fileContents=..., result=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#49 0x00007fcc415f2226 in rpp::pp::processFile (this=<optimized out>, fileName=..., data=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#50 0x00007fcc4183920e in PreprocessJob::run (this=0x7fcbb5564ca0) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:245
#51 0x00007fcc4182f39e in CPPParseJob::parseForeground (this=0x7fcbb5564f80) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:181
#52 0x00007fcc41837cc3 in PreprocessJob::sourceNeeded (this=0x7fcbb55363d0, _fileName=..., type=<optimized out>, sourceLine=9, skipCurrentPath=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:581
#53 0x00007fcc415efbac in rpp::pp::handle_include (this=this@entry=0x7fcbd37fa2c0, skip_current_path=<optimized out>, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:219
#54 0x00007fcc415f18c7 in rpp::pp::handle_directive (this=this@entry=0x7fcbd37fa2c0, directive=directive@entry=432040, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:137
#55 0x00007fcc415f1f50 in rpp::pp::operator() (this=this@entry=0x7fcbd37fa2c0, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:272
#56 0x00007fcc415f2185 in rpp::pp::processFileInternal (this=0x7fcbd37fa2c0, fileName=..., fileContents=..., result=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#57 0x00007fcc415f2226 in rpp::pp::processFile (this=<optimized out>, fileName=..., data=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#58 0x00007fcc4183920e in PreprocessJob::run (this=0x7fcbb55363d0) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:245
#59 0x00007fcc4182f39e in CPPParseJob::parseForeground (this=0x7fcbb549a110) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:181
#60 0x00007fcc41837cc3 in PreprocessJob::sourceNeeded (this=0x23da5f0, _fileName=..., type=<optimized out>, sourceLine=33, skipCurrentPath=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:581
#61 0x00007fcc415efbac in rpp::pp::handle_include (this=this@entry=0x7fcbd37fbc80, skip_current_path=<optimized out>, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:219
#62 0x00007fcc415f18c7 in rpp::pp::handle_directive (this=this@entry=0x7fcbd37fbc80, directive=directive@entry=432040, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:137
#63 0x00007fcc415f1f50 in rpp::pp::operator() (this=this@entry=0x7fcbd37fbc80, input=..., output=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:272
#64 0x00007fcc415f2185 in rpp::pp::processFileInternal (this=0x7fcbd37fbc80, fileName=..., fileContents=..., result=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:98
#65 0x00007fcc415f2226 in rpp::pp::processFile (this=<optimized out>, fileName=..., data=...) at /home/stone/build/kdevelop/languages/cpp/parser/rpp/pp-engine.cpp:85
#66 0x00007fcc4183920e in PreprocessJob::run (this=0x23da5f0) at /home/stone/build/kdevelop/languages/cpp/preprocessjob.cpp:245
#67 0x00007fcc6b0b6f9a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fcbd37fcd90, th=th@entry=0x68226b0, job=job@entry=0x23da5f0) at ../../../threadweaver/Weaver/Job.cpp:106
#68 0x00007fcc6b0b7111 in ThreadWeaver::Job::execute (this=0x23da5f0, th=0x68226b0) at ../../../threadweaver/Weaver/Job.cpp:135
#69 0x00007fcc6b0b8123 in ThreadWeaver::JobCollectionJobRunner::execute (this=0x57ebc20, t=0x68226b0) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#70 0x00007fcc6b0b676f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fcbd37fce00, parent=0x25b6690, th=th@entry=0x68226b0) at ../../../threadweaver/Weaver/Thread.cpp:95
#71 0x00007fcc6b0b682b in ThreadWeaver::Thread::run (this=0x68226b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#72 0x00007fcc74754aec in QThreadPrivate::start (arg=0x68226b0) at thread/qthread_unix.cpp:338
#73 0x00007fcc72550e9a in start_thread (arg=0x7fcbd37fd700) at pthread_create.c:308
#74 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#75 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fcc24d3b700 (LWP 6259)):
[KCrash Handler]
#6  KDevelop::AbstractType::modifiers (this=0x0) at /home/stone/build/kdevplatform/language/duchain/types/abstracttype.cpp:52
#7  0x00007fcc4138f076 in isConstBased (type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templateresolver.cpp:44
#8  0x00007fcc4138f3c9 in Cpp::TemplateResolver::templateHandleDelayedType (this=0x0, this@entry=0x7fcc24d202c0, argumentType=..., parameterType=..., instantiatedTypes=..., res=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templateresolver.cpp:89
#9  0x00007fcc4138f744 in Cpp::TemplateResolver::matchTemplateParameterTypesInternal (this=0x7fcc24d202c0, argumentType=..., parameterType=..., instantiatedTypes=..., res=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templateresolver.cpp:263
#10 0x00007fcc413902aa in Cpp::TemplateResolver::templateHandleReferenceType (this=0x7fcc24d202c0, argumentType=..., parameterType=..., instantiatedTypes=..., res=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templateresolver.cpp:118
#11 0x00007fcc4138f75c in Cpp::TemplateResolver::matchTemplateParameterTypesInternal (this=0x7fcc24d202c0, argumentType=..., parameterType=..., instantiatedTypes=..., res=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templateresolver.cpp:265
#12 0x00007fcc41390378 in Cpp::TemplateResolver::matchTemplateParameterTypes (this=<optimized out>, argumentType=..., parameterType=..., instantiatedTypes=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templateresolver.cpp:38
#13 0x00007fcc41368685 in Cpp::matchInstantiationParameters (info=..., matchAgainst=..., topCtxt=topCtxt@entry=0x7fcbb152ab00, requiredParams=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:770
#14 0x00007fcc4136a166 in Cpp::TemplateDeclaration::matchInstantiation (this=this@entry=0x7fcbc2d12000, indexedInfo=..., topCtxt=topCtxt@entry=0x7fcbb152ab00, instantiateWith=..., instantiationRequired=@0x7fcc24d2054f: true) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:814
#15 0x00007fcc4136dcef in Cpp::TemplateDeclaration::instantiateSpecialization (this=0x7fcbc2cd92d0, info=..., source=0x7fcbb152ab00) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:856
#16 0x00007fcc4136bc38 in Cpp::TemplateDeclaration::instantiate (this=0x7fcbc2cd92d0, _templateArguments=..., source=0x7fcbb152ab00, forceLocal=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1072
#17 0x00007fcc41360164 in Cpp::FindDeclaration::instantiateDeclaration (this=this@entry=0x7fcc24d21e50, decl=decl@entry=0x7fcbc2cd92a0, templateArguments=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:125
#18 0x00007fcc41361428 in Cpp::FindDeclaration::closeIdentifier (this=0x7fcc24d21e50, isFinalIdentifier=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:273
#19 0x00007fcc4130fc91 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbc2e69b00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:363
#20 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc2e69b00, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#21 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d22d40, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#22 0x00007fcc41369863 in Cpp::resolveDelayedTypes (type=..., context=0x7fcbc2e69b00, source=<optimized out>, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1131
#23 0x00007fcc4130f6d5 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbc2e69b00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:345
#24 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc2e69b00, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#25 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d240d0, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#26 0x00007fcc4136c684 in Cpp::instantiateDeclarationAndContext (parentContext=parentContext@entry=0x7fcbc2cd31e0, source=source@entry=0x7fcbb152ab00, context=0x7fcbc2cd2e20, templateArguments=..., instantiatedDeclaration=instantiatedDeclaration@entry=0x7fcbb12079e0, instantiatedFrom=instantiatedFrom@entry=0x7fcbc2cd3560, doNotRegister=doNotRegister@entry=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:595
#27 0x00007fcc4136bd95 in Cpp::TemplateDeclaration::instantiate (this=0x7fcbc2cd3590, _templateArguments=..., source=0x7fcbb152ab00, forceLocal=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1104
#28 0x00007fcc41360164 in Cpp::FindDeclaration::instantiateDeclaration (this=this@entry=0x7fcc24d259b0, decl=decl@entry=0x7fcbc2cd3560, templateArguments=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:125
#29 0x00007fcc41361428 in Cpp::FindDeclaration::closeIdentifier (this=0x7fcc24d259b0, isFinalIdentifier=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:273
#30 0x00007fcc4130fc91 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbc23332b0, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:363
#31 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc23332b0, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#32 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d268a0, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#33 0x00007fcc41369863 in Cpp::resolveDelayedTypes (type=..., context=0x7fcbc23332b0, source=<optimized out>, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1131
#34 0x00007fcc4130f6d5 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbc23332b0, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:345
#35 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc23332b0, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#36 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d279d0, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#37 0x00007fcc706df857 in KDevelop::TypeAliasType::exchangeTypes (this=0x7fcbc3af85e0, exchanger=0x7fcc24d279d0) at /home/stone/build/kdevplatform/language/duchain/types/typealiastype.cpp:94
#38 0x00007fcc413699ca in Cpp::resolveDelayedTypes (type=..., context=context@entry=0x7fcbc23332b0, source=source@entry=0x7fcbb152ab00, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1138
#39 0x00007fcc4136d0a9 in Cpp::instantiateDeclarationAndContext (parentContext=parentContext@entry=0x7fcbc23332b0, source=source@entry=0x7fcbb152ab00, context=0x0, templateArguments=..., instantiatedDeclaration=instantiatedDeclaration@entry=0x7fcbc2e0b570, instantiatedFrom=instantiatedFrom@entry=0x7fcbc30011e0, doNotRegister=doNotRegister@entry=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:672
#40 0x00007fcc4136bd95 in Cpp::TemplateDeclaration::instantiate (this=0x7fcbc3001210, _templateArguments=..., source=0x7fcbb152ab00, forceLocal=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1104
#41 0x00007fcc4130a44b in Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=this@entry=0x7fcbc23332b0, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:446
#42 0x00007fcc4130f167 in ~TypePtr (this=<optimized out>, __in_chrg=<optimized out>) at /usr/include/kdevplatform/language/duchain/types/typepointer.h:81
#43 Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=0x7fcbc23332b0, identifier=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:399
#44 0x00007fcc706342cd in KDevelop::DUContext::findDeclarationsInternal (this=0x7fcbc23332b0, baseIdentifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=..., depth=0) at /home/stone/build/kdevplatform/language/duchain/ducontext.cpp:752
#45 0x00007fcc41312545 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc23332b0, identifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, basicFlags=..., depth=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:281
#46 0x00007fcc413613c9 in Cpp::FindDeclaration::closeIdentifier (this=0x7fcc24d2ad00, isFinalIdentifier=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:251
#47 0x00007fcc4130fc91 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:363
#48 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbb0615c00, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#49 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d2bbf0, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#50 0x00007fcc41369863 in Cpp::resolveDelayedTypes (type=..., context=0x7fcbb0615c00, source=<optimized out>, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1131
#51 0x00007fcc4130f6d5 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:345
#52 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbb0615c00, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#53 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d2cd20, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#54 0x00007fcc706df857 in KDevelop::TypeAliasType::exchangeTypes (this=0x7fcbb1853510, exchanger=0x7fcc24d2cd20) at /home/stone/build/kdevplatform/language/duchain/types/typealiastype.cpp:94
#55 0x00007fcc413699ca in Cpp::resolveDelayedTypes (type=..., context=context@entry=0x7fcbb0615c00, source=source@entry=0x7fcbb152ab00, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1138
#56 0x00007fcc4136d0a9 in Cpp::instantiateDeclarationAndContext (parentContext=parentContext@entry=0x7fcbb0615c00, source=source@entry=0x7fcbb152ab00, context=0x0, templateArguments=..., instantiatedDeclaration=instantiatedDeclaration@entry=0x7fcbb0c326e0, instantiatedFrom=instantiatedFrom@entry=0x7fcbc30801d0, doNotRegister=doNotRegister@entry=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:672
#57 0x00007fcc4136bd95 in Cpp::TemplateDeclaration::instantiate (this=0x7fcbc3080200, _templateArguments=..., source=0x7fcbb152ab00, forceLocal=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1104
#58 0x00007fcc4130a44b in Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=this@entry=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:446
#59 0x00007fcc4130f167 in ~TypePtr (this=<optimized out>, __in_chrg=<optimized out>) at /usr/include/kdevplatform/language/duchain/types/typepointer.h:81
#60 Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:399
#61 0x00007fcc706342cd in KDevelop::DUContext::findDeclarationsInternal (this=0x7fcbb0615c00, baseIdentifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=..., depth=0) at /home/stone/build/kdevplatform/language/duchain/ducontext.cpp:752
#62 0x00007fcc41312545 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbb0615c00, identifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, basicFlags=..., depth=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:281
#63 0x00007fcc41361b25 in Cpp::FindDeclaration::closeIdentifier (this=0x7fcc24d30050, isFinalIdentifier=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:228
#64 0x00007fcc4130fc91 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:363
#65 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbb0615c00, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#66 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d30f90, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#67 0x00007fcc706df857 in KDevelop::TypeAliasType::exchangeTypes (this=0x7fcbb0869930, exchanger=0x7fcc24d30f90) at /home/stone/build/kdevplatform/language/duchain/types/typealiastype.cpp:94
#68 0x00007fcc413699ca in Cpp::resolveDelayedTypes (type=..., context=context@entry=0x7fcbb0615c00, source=source@entry=0x7fcbb152ab00, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1138
#69 0x00007fcc4136d0a9 in Cpp::instantiateDeclarationAndContext (parentContext=parentContext@entry=0x7fcbb0615c00, source=source@entry=0x7fcbb152ab00, context=0x0, templateArguments=..., instantiatedDeclaration=instantiatedDeclaration@entry=0x7fcbc1ec13e0, instantiatedFrom=instantiatedFrom@entry=0x7fcbc3080640, doNotRegister=doNotRegister@entry=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:672
#70 0x00007fcc4136bd95 in Cpp::TemplateDeclaration::instantiate (this=0x7fcbc3080670, _templateArguments=..., source=0x7fcbb152ab00, forceLocal=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1104
#71 0x00007fcc4130a44b in Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=this@entry=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:446
#72 0x00007fcc4130f167 in ~TypePtr (this=<optimized out>, __in_chrg=<optimized out>) at /usr/include/kdevplatform/language/duchain/types/typepointer.h:81
#73 Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:399
#74 0x00007fcc706342cd in KDevelop::DUContext::findDeclarationsInternal (this=0x7fcbb0615c00, baseIdentifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=..., depth=0) at /home/stone/build/kdevplatform/language/duchain/ducontext.cpp:752
#75 0x00007fcc41312545 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbb0615c00, identifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, basicFlags=..., depth=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:281
#76 0x00007fcc7063483c in KDevelop::DUContext::findDeclarationsInternal (this=<optimized out>, baseIdentifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=..., depth=0) at /home/stone/build/kdevplatform/language/duchain/ducontext.cpp:803
#77 0x00007fcc41312545 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc0138b20, identifiers=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, basicFlags=..., depth=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:281
#78 0x00007fcc41361b25 in Cpp::FindDeclaration::closeIdentifier (this=0x7fcc24d35720, isFinalIdentifier=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.cpp:228
#79 0x00007fcc4130fc91 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=this@entry=0x7fcbc0138b20, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:363
#80 0x00007fcc41312212 in Cpp::CppDUContext<KDevelop::DUContext>::findDeclarationsInternal (this=0x7fcbc0138b20, identifiers=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, basicFlags=..., depth=depth@entry=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:286
#81 0x00007fcc4136fffd in DelayedTypeResolver::exchange (this=this@entry=0x7fcc24d366c0, type=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:239
#82 0x00007fcc706d6e6b in KDevelop::FunctionType::exchangeTypes (this=<optimized out>, exchanger=0x7fcc24d366c0) at /home/stone/build/kdevplatform/language/duchain/types/functiontype.cpp:146
#83 0x00007fcc413699ca in Cpp::resolveDelayedTypes (type=..., context=context@entry=0x7fcbc0138b20, source=source@entry=0x7fcbb152ab00, searchFlags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1138
#84 0x00007fcc4136d0a9 in Cpp::instantiateDeclarationAndContext (parentContext=parentContext@entry=0x7fcbb0615c00, source=source@entry=0x7fcbb152ab00, context=0x7fcbc3080070, templateArguments=..., instantiatedDeclaration=instantiatedDeclaration@entry=0x7fcbc1edca00, instantiatedFrom=instantiatedFrom@entry=0x7fcbc307fa80, doNotRegister=doNotRegister@entry=false) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:672
#85 0x00007fcc4136bd95 in Cpp::TemplateDeclaration::instantiate (this=0x7fcbc307fab8, _templateArguments=..., source=0x7fcbb152ab00, forceLocal=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/templatedeclaration.cpp:1104
#86 0x00007fcc4130a44b in Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=this@entry=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=source@entry=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:446
#87 0x00007fcc4130f167 in ~TypePtr (this=<optimized out>, __in_chrg=<optimized out>) at /usr/include/kdevplatform/language/duchain/types/typepointer.h:81
#88 Cpp::CppDUContext<KDevelop::DUContext>::findLocalDeclarationsInternal (this=0x7fcbb0615c00, identifier=..., position=..., dataType=..., ret=..., source=0x7fcbb152ab00, flags=...) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppducontext.h:399
#89 0x00007fcc70633bcd in KDevelop::DUContext::findLocalDeclarations (this=0x7fcbb0615c00, identifier=..., position=..., topContext=<optimized out>, dataType=..., flags=...) at /home/stone/build/kdevplatform/language/duchain/ducontext.cpp:609
#90 0x00007fcc41358c57 in Cpp::findLocalDeclarations (context=0x7fcbb0615c00, identifier=..., topContext=topContext@entry=0x7fcbb152ab00, depth=depth@entry=1) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppduchain.cpp:59
#91 0x00007fcc41358d2e in Cpp::findLocalDeclarations (context=<optimized out>, identifier=..., topContext=0x7fcbb152ab00, depth=0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/cppduchain.cpp:69
#92 0x00007fcc4137e9f0 in Cpp::ExpressionVisitor::findMember (this=this@entry=0x7fcc24d393a0, node=node@entry=0x7fcbc3472c20, base=..., member=..., isConst=<optimized out>, isConst@entry=false, postProblem=postProblem@entry=true) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:325
#93 0x00007fcc4137f132 in Cpp::ExpressionVisitor::visitClassMemberAccess (this=0x7fcc24d393a0, node=0x7fcbc3472c20) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:386
#94 0x00007fcc413760c5 in Cpp::ExpressionVisitor::visit (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:2445
#95 0x00007fcc41377246 in Cpp::ExpressionVisitor::visitSubExpressions (this=0x7fcc24d393a0, node=0x7fcbc3472ca0, nodes=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:819
#96 0x00007fcc413760c5 in Cpp::ExpressionVisitor::visit (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:2445
#97 0x00007fcc4137a063 in Cpp::ExpressionVisitor::visitInitializerClause (this=0x7fcc24d393a0, node=0x7fcbc3472cd0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:1253
#98 0x00007fcc413760c5 in Cpp::ExpressionVisitor::visit (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:2445
#99 0x00007fcc41063031 in visitNodes<InitializerClauseAST*> (nodes=<optimized out>, v=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#100 DefaultVisitor::visitInitializerList (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/default_visitor.cpp:223
#101 0x00007fcc413760c5 in Cpp::ExpressionVisitor::visit (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:2445
#102 0x00007fcc41379d2c in Cpp::ExpressionVisitor::buildParametersFromExpression (this=this@entry=0x7fcc24d393a0, expression=0x7fcbc3472d08) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:1873
#103 0x00007fcc413802b3 in Cpp::ExpressionVisitor::visitFunctionCall (this=0x7fcc24d393a0, node=0x7fcbc3472d30) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:1926
#104 0x00007fcc413760c5 in Cpp::ExpressionVisitor::visit (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:2445
#105 0x00007fcc41377246 in Cpp::ExpressionVisitor::visitSubExpressions (this=0x7fcc24d393a0, node=0x7fcbc3472d70, nodes=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:819
#106 0x00007fcc413760c5 in Cpp::ExpressionVisitor::visit (this=0x7fcc24d393a0, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:2445
#107 0x00007fcc41376fad in Cpp::ExpressionVisitor::parse (this=0x7fcc24d393a0, ast=0x7fcbc3472d70) at /home/stone/build/kdevelop/languages/cpp/cppduchain/expressionvisitor.cpp:247
#108 0x00007fcc4133fbec in UseBuilder::visitExpression (this=0x7fcc24d3a9f0, node=0x7fcbc3472d70) at /home/stone/build/kdevelop/languages/cpp/cppduchain/usebuilder.cpp:171
#109 0x00007fcc413077d7 in ContextBuilder::visitIfStatement (this=0x7fcc24d3a9f0, node=0x7fcbc3472660) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:998
#110 0x00007fcc41062ed1 in visitNodes<StatementAST*> (nodes=<optimized out>, v=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#111 DefaultVisitor::visitCompoundStatement (this=0x7fcc24d3aa50, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/default_visitor.cpp:73
#112 0x00007fcc41306a6a in ContextBuilder::visitCompoundStatement (this=0x7fcc24d3a9f0, node=0x7fcbc3472640) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:673
#113 0x00007fcc4130795d in ContextBuilder::visitForStatement (this=0x7fcc24d3a9f0, node=0x7fcbc3340cb8) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:859
#114 0x00007fcc41062ed1 in visitNodes<StatementAST*> (nodes=<optimized out>, v=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#115 DefaultVisitor::visitCompoundStatement (this=0x7fcc24d3aa50, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/default_visitor.cpp:73
#116 0x00007fcc41306a6a in ContextBuilder::visitCompoundStatement (this=0x7fcc24d3a9f0, node=0x7fcbc3471348) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:673
#117 0x00007fcc41307805 in ContextBuilder::visitIfStatement (this=0x7fcc24d3a9f0, node=0x7fcbc3470d20) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:1005
#118 0x00007fcc41062ed1 in visitNodes<StatementAST*> (nodes=<optimized out>, v=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#119 DefaultVisitor::visitCompoundStatement (this=0x7fcc24d3aa50, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/default_visitor.cpp:73
#120 0x00007fcc41306a6a in ContextBuilder::visitCompoundStatement (this=0x7fcc24d3a9f0, node=0x7fcbc346fd08) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:673
#121 0x00007fcc41307805 in ContextBuilder::visitIfStatement (this=0x7fcc24d3a9f0, node=0x7fcbc346f640) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:1005
#122 0x00007fcc41062ed1 in visitNodes<StatementAST*> (nodes=<optimized out>, v=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#123 DefaultVisitor::visitCompoundStatement (this=0x7fcc24d3aa50, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/default_visitor.cpp:73
#124 0x00007fcc41306a6a in ContextBuilder::visitCompoundStatement (this=0x7fcc24d3a9f0, node=0x7fcbc346aea0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:673
#125 0x00007fcc41308cb6 in ContextBuilder::visitTryBlockStatement (this=0x7fcc24d3a9f0, node=0x7fcbc346ae78) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:1081
#126 0x00007fcc41062ed1 in visitNodes<StatementAST*> (nodes=<optimized out>, v=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#127 DefaultVisitor::visitCompoundStatement (this=0x7fcc24d3aa50, node=<optimized out>) at /home/stone/build/kdevelop/languages/cpp/parser/default_visitor.cpp:73
#128 0x00007fcc41306a6a in ContextBuilder::visitCompoundStatement (this=0x7fcc24d3a9f0, node=0x7fcbc34684a8) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:673
#129 0x00007fcc41308abb in ContextBuilder::visitFunctionDefinition (this=0x7fcc24d3a9f0, node=0x7fcbc334a230) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:591
#130 0x00007fcc410637b1 in visitNodes<DeclarationAST*> (v=0x7fcc24d3aa50, nodes=0x7fcbc8c502c4) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#131 0x00007fcc41305c95 in ContextBuilder::visitNamespace (this=0x7fcc24d3a9f0, node=0x7fcbc3463618) at /home/stone/build/kdevelop/languages/cpp/cppduchain/contextbuilder.cpp:472
#132 0x00007fcc410637b1 in visitNodes<DeclarationAST*> (v=0x7fcc24d3aa50, nodes=0x7fcbc8c502c4) at /home/stone/build/kdevelop/languages/cpp/parser/visitor.h:139
#133 0x00007fcc4133ed6c in supportBuild (context=<optimized out>, node=0x7fcbc34635e0, this=0x7fcc24d3a9f0) at /usr/include/kdevplatform/language/duchain/builders/abstractcontextbuilder.h:133
#134 buildUses (node=0x7fcbc34635e0, this=0x7fcc24d3a9f0) at /usr/include/kdevplatform/language/duchain/builders/abstractusebuilder.h:72
#135 UseBuilder::buildUses (this=0x7fcc24d3a9f0, node=0x7fcbc34635e0) at /home/stone/build/kdevelop/languages/cpp/cppduchain/usebuilder.cpp:56
#136 0x00007fcc41833f23 in CPPInternalParseJob::run (this=0x5faa7b0) at /home/stone/build/kdevelop/languages/cpp/cppparsejob.cpp:720
#137 0x00007fcc6b0b6f9a in ThreadWeaver::JobRunHelper::runTheJob (this=this@entry=0x7fcc24d3ad90, th=th@entry=0x5f583b0, job=job@entry=0x5faa7b0) at ../../../threadweaver/Weaver/Job.cpp:106
#138 0x00007fcc6b0b7111 in ThreadWeaver::Job::execute (this=0x5faa7b0, th=0x5f583b0) at ../../../threadweaver/Weaver/Job.cpp:135
#139 0x00007fcc6b0b8123 in ThreadWeaver::JobCollectionJobRunner::execute (this=0x5fbf4d0, t=0x5f583b0) at ../../../threadweaver/Weaver/JobCollection.cpp:82
#140 0x00007fcc6b0b676f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fcc24d3ae00, parent=0x25b6690, th=th@entry=0x5f583b0) at ../../../threadweaver/Weaver/Thread.cpp:95
#141 0x00007fcc6b0b682b in ThreadWeaver::Thread::run (this=0x5f583b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#142 0x00007fcc74754aec in QThreadPrivate::start (arg=0x5f583b0) at thread/qthread_unix.cpp:338
#143 0x00007fcc72550e9a in start_thread (arg=0x7fcc24d3b700) at pthread_create.c:308
#144 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#145 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fcbd0944700 (LWP 6264)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc7475504b in wait (time=18446744073709551615, this=0x680d9f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x680e140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fcc6b0b50e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x680dee0, th=0x646f3e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcc6b0b792b in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x646f3e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcc6b0b679f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fcbd0943e00, parent=0x680dee0, th=th@entry=0x646f3e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007fcc6b0b682b in ThreadWeaver::Thread::run (this=0x646f3e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007fcc74754aec in QThreadPrivate::start (arg=0x646f3e0) at thread/qthread_unix.cpp:338
#8  0x00007fcc72550e9a in start_thread (arg=0x7fcbd0944700) at pthread_create.c:308
#9  0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fcbbffff700 (LWP 6266)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc7475504b in wait (time=18446744073709551615, this=0x680d9f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x680e140, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fcc6b0b50e1 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x680dee0, th=0x646b2b0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fcc6b0b792b in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x646b2b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fcc6b0b7944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x646b2b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fcc6b0b7944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x646b2b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fcc6b0b7944 in ThreadWeaver::WorkingHardState::applyForWork (this=0x680e1d0, th=0x646b2b0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fcc6b0b679f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fcbbfffee00, parent=0x680dee0, th=th@entry=0x646b2b0) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007fcc6b0b682b in ThreadWeaver::Thread::run (this=0x646b2b0) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007fcc74754aec in QThreadPrivate::start (arg=0x646b2b0) at thread/qthread_unix.cpp:338
#11 0x00007fcc72550e9a in start_thread (arg=0x7fcbbffff700) at pthread_create.c:308
#12 0x00007fcc7345dcbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fcc63f7b780 (LWP 5960)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007fcc7475504b in wait (time=18446744073709551615, this=0x213fcb0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x213fa38, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fcc747546bc in QThread::wait (this=<optimized out>, time=18446744073709551615) at thread/qthread_unix.cpp:691
#4  0x00007fcc7482eab2 in QProcessManager::~QProcessManager (this=0x7fcc74ba9520 <processManager()::processManager>, __in_chrg=<optimized out>) at io/qprocess_unix.cpp:212
#5  0x00007fcc733a5901 in __run_exit_handlers (status=1, listp=0x7fcc737226a8 <__exit_funcs>, run_list_atexit=true) at exit.c:78
#6  0x00007fcc733a5985 in __GI_exit (status=<optimized out>) at exit.c:100
#7  0x00007fcc73c62b78 in qt_xio_errhandler () at kernel/qapplication_x11.cpp:781
#8  0x00007fcc74dd0fb8 in KApplication::xioErrhandler (this=0x7fff9dd3b350, dpy=0x21408b0) at ../../kdeui/kernel/kapplication.cpp:419
#9  0x00007fcc6e87259e in _XIOError () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#10 0x00007fcc6e87057c in _XReply () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#11 0x00007fcc6e86d5c7 in XTranslateCoordinates () from /usr/lib/x86_64-linux-gnu/libX11.so.6
#12 0x00007fcc73c8ba52 in QWidgetPrivate::mapFromGlobal (this=0x50ef390, pos=...) at kernel/qwidget_x11.cpp:1355
#13 0x00007fcc73c8b9d9 in QWidgetPrivate::mapFromGlobal (this=0x4fd29a0, pos=...) at kernel/qwidget_x11.cpp:1348
#14 0x00007fcc73c8baad in QWidget::mapFromGlobal (this=<optimized out>, pos=...) at kernel/qwidget_x11.cpp:1368
#15 0x00007fcc73bfdbf5 in QApplication::notify (this=<optimized out>, receiver=0x4fd2710, e=0x7fff9dd3a430) at kernel/qapplication.cpp:4125
#16 0x00007fcc74dd21d6 in KApplication::notify (this=0x7fff9dd3b350, receiver=0x4fd2710, event=0x7fff9dd3a430) at ../../kdeui/kernel/kapplication.cpp:311
#17 0x00007fcc7485156e in QCoreApplication::notifyInternal (this=0x7fff9dd3b350, receiver=0x4fd2710, event=0x7fff9dd3a430) at kernel/qcoreapplication.cpp:915
#18 0x00007fcc73bf9cd3 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#19 QApplicationPrivate::sendMouseEvent (receiver=0x4fd2710, event=0x7fff9dd3a430, alienWidget=0x4fd2710, nativeWidget=0x50ef360, buttonDown=0x7fcc746d5308 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#20 0x00007fcc73c77554 in QETWidget::translateMouseEvent (this=this@entry=0x50ef360, event=event@entry=0x7fff9dd3abb0) at kernel/qapplication_x11.cpp:4622
#21 0x00007fcc73c7644f in QApplication::x11ProcessEvent (this=0x7fff9dd3b350, event=0x7fff9dd3abb0) at kernel/qapplication_x11.cpp:3737
#22 0x00007fcc73c9dfa2 in x11EventSourceDispatch (s=0x213f920, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#23 0x00007fcc6d7d4ab5 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#24 0x00007fcc6d7d4de8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007fcc6d7d4ea4 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fcc7487fbf6 in QEventDispatcherGlib::processEvents (this=0x2086b30, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#27 0x00007fcc73c9dc1e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#28 0x00007fcc748502bf in QEventLoop::processEvents (this=this@entry=0x7fff9dd3af80, flags=...) at kernel/qeventloop.cpp:149
#29 0x00007fcc74850548 in QEventLoop::exec (this=0x7fff9dd3af80, flags=...) at kernel/qeventloop.cpp:204
#30 0x00007fcc74855708 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#31 0x000000000040d93e in main (argc=<optimized out>, argv=<optimized out>) at /home/stone/build/kdevelop/app/main.cpp:503

Reported using DrKonqi
Comment 1 André Stein 2012-11-14 15:35:33 UTC
Indead the problem is repoducible. It always crashes when I have a certain file open. I can't post the source code here but it contains template specialisations. If I have time I'll try to find a reduced test case.
Comment 2 Olivier.jg 2012-11-14 17:40:57 UTC
Others have run into this as well... a fix can be provided for the symptoms, but it seems like the type builder is generating invalid types in some circumstances, and I'd like to see when.
An reduced example would be very helpful.
Comment 3 André Stein 2012-11-14 20:41:49 UTC
Okay ill see what I can do. Otherwise would valgrind output be useful for you? Or a full core dump?
Comment 4 Olivier.jg 2012-11-15 06:23:13 UTC
(In reply to comment #3)
> Okay ill see what I can do. Otherwise would valgrind output be useful for
> you? Or a full core dump?

No, those won't be necessary.
Comment 5 André Stein 2012-11-15 09:49:55 UTC
Got it: The problem can be reproduced every time giving the backtrace shown above, using the following code snippet:

#include <boost/filesystem.hpp>

void connect()
{
  using namespace boost::filesystem;

  directory_iterator end;
  for( directory_iterator it(".") ; it != end ; ++it )
  {
    if (is_directory(it->status()))
      std::cout << "yes" << std::endl;
  }
}

Make sure you have boost 1.50 installed. You didn't verify whether it crashes with other boost versions too (boost filesystem switch to v3 some versions ago, so older versions might have another code basis).
Comment 6 Olivier.jg 2012-11-17 13:00:31 UTC
Git commit c6368de73c1db6e8c0d0f1b4ea965583c1767365 by Olivier JG.
Committed on 17/11/2012 at 13:56.
Pushed by olivierjg into branch 'master'.

Fix crash in TemplateResolver when encountering invalid type.
Thanks to Kevin Funk and André Stein for investigation.
REVIEW: 107175

M  +7    -0    languages/cpp/cppduchain/templateresolver.cpp

http://commits.kde.org/kdevelop/c6368de73c1db6e8c0d0f1b4ea965583c1767365
Comment 7 Aleix Pol 2013-03-31 00:55:04 UTC
Moving all the bugs from the CPP Parser. It was not well defined the difference between it and C++ Language Support and people kept reporting in both places indistinctively